<!doctype html >
<html lang="en" xmlns:th="http://thymeleaf.org">
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Detail Invoice</title>


<!-- Bootstrap CSS -->

<head>
  <link rel="stylesheet" th:href="@{/css/sidebar.css}">
  <link href='https://unpkg.com/boxicons@2.0.7/css/boxicons.min.css' rel='stylesheet'>
  <link rel="stylesheet" th:href="@{/css/detail-invoice.css}">
  <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
  <link href='https://fonts.googleapis.com/css?family=Roboto' rel='stylesheet'>
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.3/font/bootstrap-icons.css">
</head>
<body>
<div th:replace="fragments/fragment.html :: side-bar-dokter" />
<section class="content-sidebar-section">
  <div class="text">Detail Invoice</div>
  <br>
  <br>

  <div class="card-table stretch-card shadow-lg ">
    <main>
      <div style="padding-left: 52px; padding-right: 20px" class="row overflow-auto ">
        <div class="card-body main col-sm-6 ">
          <ul>
            <span class="detail-title font-weight-bold ">Invoice</span>
            <p class="detail" th:text="${transaksi.transaksiId}"> invoice a </p>
            <span class="detail-title font-weight-bold">Nama Webinar</span>
            <p class="detail" th:text="${seminar.title}"> Seminar </p>
            <span class="detail-title font-weight-bold">Tanggal Pembelian</span>
            <p class="detail" th:text="${#temporals.format(transaksi.transactionTime, 'dd/MM/yyyy')}">12/02/1989</p>
            <br>
          </ul>
        </div>
        <div class="card-body main col-lg-20" >
          <ul>
            <span class="detail-title font-weight-bold">Metode Pembayaran</span>
            <p class="detail" th:text="${transaksi.paymentType}">Transfer Bank Bca</p>
            <span class="detail-title font-weight-bold">Total Tagihan</span>
            <p class="detail format-harga" th:text="${seminar.harga}">Rp0</p>
            <span class="detail-title font-weight-bold">Tanggal Bayar</span>
            <p class="detail" th:text="${#temporals.format(transaksi.settlementTime, 'dd/MM/yyyy')}">-</p>
            <span class="detail-title font-weight-bold">Status</span>
            <p class="detail" th:text="${transaksi.statusTransaksi}">Paid</p>
          </ul>
        </div>
      </div>

      <div class="button-wrapper-section" th:if="${transaksi.statusTransaksi == 'failed'}">
        <div class="return-button">
          <a class="button-secondary" th:href="@{/dokter/dashboard/transactions}">Kembali</a>
        </div>
        <div class="disabled-button">
          <button type="button" disabled class="button-primary mx-auto" style="width: 127px;">
            <span style="margin-right: 12px">
              <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
              <path d="M7.21783 20.9384L7.1005 21.6792H7.1005L7.21783 20.9384ZM3.06156 16.7822L3.80232 16.6648L3.06156 16.7822ZM20.9384 16.7822L21.6792 16.8995V16.8995L20.9384 16.7822ZM16.7822 20.9384L16.8995 21.6792H16.8995L16.7822 20.9384ZM20.6 10.5496C20.3513 10.2184 19.8811 10.1516 19.5499 10.4003C19.2187 10.6491 19.1519 11.1192 19.4007 11.4504L20.6 10.5496ZM4.59931 11.4504C4.84808 11.1192 4.78126 10.6491 4.45007 10.4003C4.11888 10.1516 3.64873 10.2184 3.39996 10.5496L4.59931 11.4504ZM12.75 3C12.75 2.58579 12.4142 2.25 12 2.25C11.5858 2.25 11.25 2.58579 11.25 3H12.75ZM8.58768 12.534C8.33033 12.2095 7.8586 12.155 7.53403 12.4123C7.20946 12.6697 7.15497 13.1414 7.41232 13.466L8.58768 12.534ZM9.39785 14.763L8.81016 15.2289L9.39785 14.763ZM14.6022 14.763L14.0145 14.297L14.6022 14.763ZM16.5877 13.466C16.845 13.1414 16.7905 12.6697 16.466 12.4123C16.1414 12.155 15.6697 12.2095 15.4123 12.534L16.5877 13.466ZM11.7493 16.9801L11.6313 17.7208L11.6313 17.7208L11.7493 16.9801ZM12.2507 16.9801L12.3687 17.7208L12.3687 17.7208L12.2507 16.9801ZM20.25 14V15H21.75V14H20.25ZM15 20.25H9V21.75H15V20.25ZM3.75 15V14H2.25V15H3.75ZM9 20.25C8.04233 20.25 7.65082 20.2477 7.33515 20.1977L7.1005 21.6792C7.56216 21.7523 8.09965 21.75 9 21.75V20.25ZM2.25 15C2.25 15.9003 2.24767 16.4378 2.32079 16.8995L3.80232 16.6648C3.75233 16.3492 3.75 15.9577 3.75 15H2.25ZM7.33515 20.1977C5.51661 19.9096 4.09035 18.4834 3.80232 16.6648L2.32079 16.8995C2.71048 19.3599 4.64012 21.2895 7.1005 21.6792L7.33515 20.1977ZM20.25 15C20.25 15.9577 20.2477 16.3492 20.1977 16.6648L21.6792 16.8995C21.7523 16.4378 21.75 15.9003 21.75 15H20.25ZM15 21.75C15.9003 21.75 16.4378 21.7523 16.8995 21.6792L16.6648 20.1977C16.3492 20.2477 15.9577 20.25 15 20.25V21.75ZM20.1977 16.6648C19.9096 18.4834 18.4834 19.9096 16.6648 20.1977L16.8995 21.6792C19.3599 21.2895 21.2895 19.3599 21.6792 16.8995L20.1977 16.6648ZM21.75 14C21.75 12.7064 21.3219 11.5106 20.6 10.5496L19.4007 11.4504C19.9342 12.1607 20.25 13.0424 20.25 14H21.75ZM3.75 14C3.75 13.0424 4.06583 12.1607 4.59931 11.4504L3.39996 10.5496C2.67806 11.5106 2.25 12.7064 2.25 14H3.75ZM11.25 3V16H12.75V3H11.25ZM7.41232 13.466L8.81016 15.2289L9.98553 14.297L8.58768 12.534L7.41232 13.466ZM15.1898 15.2289L16.5877 13.466L15.4123 12.534L14.0145 14.297L15.1898 15.2289ZM8.81016 15.2289C9.35616 15.9176 9.80475 16.4852 10.2055 16.8875C10.6096 17.2932 11.0582 17.6294 11.6313 17.7208L11.8673 16.2395C11.7612 16.2225 11.5913 16.1532 11.2682 15.8289C10.9418 15.5012 10.5543 15.0143 9.98553 14.297L8.81016 15.2289ZM14.0145 14.297C13.4457 15.0143 13.0582 15.5012 12.7318 15.8289C12.4087 16.1532 12.2388 16.2225 12.1327 16.2395L12.3687 17.7208C12.9418 17.6294 13.3904 17.2932 13.7945 16.8875C14.1953 16.4852 14.6438 15.9175 15.1898 15.2289L14.0145 14.297ZM11.6313 17.7208C11.7534 17.7402 11.8766 17.75 12 17.75V16.25C11.9559 16.25 11.9117 16.2465 11.8673 16.2395L11.6313 17.7208ZM12 17.75C12.1234 17.75 12.2466 17.7402 12.3687 17.7208L12.1327 16.2395C12.0883 16.2465 12.0441 16.25 12 16.25V17.75ZM11.25 16V17H12.75V16H11.25Z" fill="#F5F5F5"/>
              </svg>
            </span>Invoice</button>
        </div>
      </div>
      <div class="button-wrapper-section" th:unless="${transaksi.statusTransaksi == 'failed'}">
        <div class="return-button">
          <a class="button-secondary" th:href="@{/dokter/dashboard/transactions}">Kembali</a>
        </div>
        <div class="invoice-button">
            <button id="button-lihat-invoice" class="button-primary mx-auto d-block">
            <span style="margin-right: 12px">
              <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
              <path d="M7.21783 20.9384L7.1005 21.6792H7.1005L7.21783 20.9384ZM3.06156 16.7822L3.80232 16.6648L3.06156 16.7822ZM20.9384 16.7822L21.6792 16.8995V16.8995L20.9384 16.7822ZM16.7822 20.9384L16.8995 21.6792H16.8995L16.7822 20.9384ZM20.6 10.5496C20.3513 10.2184 19.8811 10.1516 19.5499 10.4003C19.2187 10.6491 19.1519 11.1192 19.4007 11.4504L20.6 10.5496ZM4.59931 11.4504C4.84808 11.1192 4.78126 10.6491 4.45007 10.4003C4.11888 10.1516 3.64873 10.2184 3.39996 10.5496L4.59931 11.4504ZM12.75 3C12.75 2.58579 12.4142 2.25 12 2.25C11.5858 2.25 11.25 2.58579 11.25 3H12.75ZM8.58768 12.534C8.33033 12.2095 7.8586 12.155 7.53403 12.4123C7.20946 12.6697 7.15497 13.1414 7.41232 13.466L8.58768 12.534ZM9.39785 14.763L8.81016 15.2289L9.39785 14.763ZM14.6022 14.763L14.0145 14.297L14.6022 14.763ZM16.5877 13.466C16.845 13.1414 16.7905 12.6697 16.466 12.4123C16.1414 12.155 15.6697 12.2095 15.4123 12.534L16.5877 13.466ZM11.7493 16.9801L11.6313 17.7208L11.6313 17.7208L11.7493 16.9801ZM12.2507 16.9801L12.3687 17.7208L12.3687 17.7208L12.2507 16.9801ZM20.25 14V15H21.75V14H20.25ZM15 20.25H9V21.75H15V20.25ZM3.75 15V14H2.25V15H3.75ZM9 20.25C8.04233 20.25 7.65082 20.2477 7.33515 20.1977L7.1005 21.6792C7.56216 21.7523 8.09965 21.75 9 21.75V20.25ZM2.25 15C2.25 15.9003 2.24767 16.4378 2.32079 16.8995L3.80232 16.6648C3.75233 16.3492 3.75 15.9577 3.75 15H2.25ZM7.33515 20.1977C5.51661 19.9096 4.09035 18.4834 3.80232 16.6648L2.32079 16.8995C2.71048 19.3599 4.64012 21.2895 7.1005 21.6792L7.33515 20.1977ZM20.25 15C20.25 15.9577 20.2477 16.3492 20.1977 16.6648L21.6792 16.8995C21.7523 16.4378 21.75 15.9003 21.75 15H20.25ZM15 21.75C15.9003 21.75 16.4378 21.7523 16.8995 21.6792L16.6648 20.1977C16.3492 20.2477 15.9577 20.25 15 20.25V21.75ZM20.1977 16.6648C19.9096 18.4834 18.4834 19.9096 16.6648 20.1977L16.8995 21.6792C19.3599 21.2895 21.2895 19.3599 21.6792 16.8995L20.1977 16.6648ZM21.75 14C21.75 12.7064 21.3219 11.5106 20.6 10.5496L19.4007 11.4504C19.9342 12.1607 20.25 13.0424 20.25 14H21.75ZM3.75 14C3.75 13.0424 4.06583 12.1607 4.59931 11.4504L3.39996 10.5496C2.67806 11.5106 2.25 12.7064 2.25 14H3.75ZM11.25 3V16H12.75V3H11.25ZM7.41232 13.466L8.81016 15.2289L9.98553 14.297L8.58768 12.534L7.41232 13.466ZM15.1898 15.2289L16.5877 13.466L15.4123 12.534L14.0145 14.297L15.1898 15.2289ZM8.81016 15.2289C9.35616 15.9176 9.80475 16.4852 10.2055 16.8875C10.6096 17.2932 11.0582 17.6294 11.6313 17.7208L11.8673 16.2395C11.7612 16.2225 11.5913 16.1532 11.2682 15.8289C10.9418 15.5012 10.5543 15.0143 9.98553 14.297L8.81016 15.2289ZM14.0145 14.297C13.4457 15.0143 13.0582 15.5012 12.7318 15.8289C12.4087 16.1532 12.2388 16.2225 12.1327 16.2395L12.3687 17.7208C12.9418 17.6294 13.3904 17.2932 13.7945 16.8875C14.1953 16.4852 14.6438 15.9175 15.1898 15.2289L14.0145 14.297ZM11.6313 17.7208C11.7534 17.7402 11.8766 17.75 12 17.75V16.25C11.9559 16.25 11.9117 16.2465 11.8673 16.2395L11.6313 17.7208ZM12 17.75C12.1234 17.75 12.2466 17.7402 12.3687 17.7208L12.1327 16.2395C12.0883 16.2465 12.0441 16.25 12 16.25V17.75ZM11.25 16V17H12.75V16H11.25Z" fill="#F5F5F5"/>
              </svg>
            </span>
            Invoice</button>
        </div>

      </div>
      <div class="bg-modal">
        <div class="modal-content" style="width: 463px; height: 668px;">
          <div class="card-modal">
            <div class="modal-header" style="border-bottom: none;">
              <div class="close" style="margin-right: 12px;">
                <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                  <path d="M19.5304 5.53033C19.8232 5.23744 19.8232 4.76256 19.5304 4.46967C19.2375 4.17678 18.7626 4.17678 18.4697 4.46967L12 10.9394L5.53033 4.46967C5.23744 4.17678 4.76256 4.17678 4.46967 4.46967C4.17678 4.76257 4.17678 5.23744 4.46967 5.53033L10.9394 12L4.4697 18.4697C4.1768 18.7626 4.1768 19.2374 4.4697 19.5303C4.76259 19.8232 5.23746 19.8232 5.53036 19.5303L12 13.0607L18.4697 19.5303C18.7626 19.8232 19.2374 19.8232 19.5303 19.5303C19.8232 19.2374 19.8232 18.7626 19.5303 18.4697L13.0607 12L19.5304 5.53033Z" fill="#1D3557"/>
                </svg>
              </div>
            </div>
            <div class="modal-logo">
              <svg width="136" height="25" viewBox="0 0 154 39" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path d="M13.3333 37V25.6667H2V14.3333H13.3333V3H24.6667V14.3333H36V25.6667H24.6667V37H13.3333Z" stroke="#1D3557" stroke-width="3"/>
                <path d="M50.04 30V9H54.6L61.29 22.32L67.89 9H72.45V30H68.61V15.51L62.76 27H59.73L53.88 15.51V30H50.04ZM80.2744 30V9H93.9844V12.09H84.1144V17.85H93.0844V20.85H84.1144V26.91H93.9844V30H80.2744ZM101.368 30V9H108.538C110.998 9 113.018 9.44 114.598 10.32C116.198 11.18 117.378 12.4 118.138 13.98C118.918 15.54 119.308 17.38 119.308 19.5C119.308 21.62 118.918 23.47 118.138 25.05C117.378 26.61 116.198 27.83 114.598 28.71C113.018 29.57 110.998 30 108.538 30H101.368ZM105.208 26.7H108.358C110.118 26.7 111.508 26.42 112.528 25.86C113.548 25.28 114.278 24.46 114.718 23.4C115.158 22.32 115.378 21.02 115.378 19.5C115.378 18 115.158 16.71 114.718 15.63C114.278 14.55 113.548 13.72 112.528 13.14C111.508 12.56 110.118 12.27 108.358 12.27H105.208V26.7ZM126.446 30V9H130.286V30H126.446ZM145.276 30.36C143.736 30.36 142.376 30.1 141.196 29.58C140.016 29.04 139.086 28.28 138.406 27.3C137.726 26.3 137.376 25.09 137.356 23.67H141.406C141.446 24.65 141.796 25.48 142.456 26.16C143.136 26.82 144.066 27.15 145.246 27.15C146.266 27.15 147.076 26.91 147.676 26.43C148.276 25.93 148.576 25.27 148.576 24.45C148.576 23.59 148.306 22.92 147.766 22.44C147.246 21.96 146.546 21.57 145.666 21.27C144.786 20.97 143.846 20.65 142.846 20.31C141.226 19.75 139.986 19.03 139.126 18.15C138.286 17.27 137.866 16.1 137.866 14.64C137.846 13.4 138.136 12.34 138.736 11.46C139.356 10.56 140.196 9.87 141.256 9.39C142.316 8.89 143.536 8.64 144.916 8.64C146.316 8.64 147.546 8.89 148.606 9.39C149.686 9.89 150.526 10.59 151.126 11.49C151.746 12.39 152.076 13.46 152.116 14.7H148.006C147.986 13.96 147.696 13.31 147.136 12.75C146.596 12.17 145.836 11.88 144.856 11.88C144.016 11.86 143.306 12.07 142.726 12.51C142.166 12.93 141.886 13.55 141.886 14.37C141.886 15.07 142.106 15.63 142.546 16.05C142.986 16.45 143.586 16.79 144.346 17.07C145.106 17.35 145.976 17.65 146.956 17.97C147.996 18.33 148.946 18.75 149.806 19.23C150.666 19.71 151.356 20.35 151.876 21.15C152.396 21.93 152.656 22.94 152.656 24.18C152.656 25.28 152.376 26.3 151.816 27.24C151.256 28.18 150.426 28.94 149.326 29.52C148.226 30.08 146.876 30.36 145.276 30.36Z" fill="#1D3557"/>
              </svg>
            </div>
            <div class="modal-notif">
              <div class="notif-message">
                <p>TRANSAKSI BERHASIL</p>
              </div>
            </div>
            <div class="modal-detail-invoice">
              <div style="margin-left: 24px;" class="detail-tanggal-invoice">
                <p th:text="${#temporals.format(transaksi.settlementTime, 'yyyy-MM-dd')}">2023-02-25</p>
              </div>
              <div style="margin-right: 24px;" class="detail-no-invoice">
                <p th:text="${transaksi.transaksiId}">Invoice No: INV12347</p>
              </div>
            </div>
            <div class="modal-messages">
              <div class="message-to-user">
                <h5 th:text="'Yth. ' + ${user.nama}">Yth. Nama User</h5>
                <p>Transaksi anda sukses! Berikut detail pembayaran Anda:</p>
              </div>
              <br>
              <div class="deskripsi">
                <h5 th:text="${seminar.title}">Nama Webinar</h5>
                <p style="text-overflow: ellipsis; overflow: hidden; white-space: normal; display: -webkit-box;-webkit-line-clamp: 4; -webkit-box-orient: vertical;" th:text="${seminar.deskripsi}">Deskripsi</p>
                <div class="deskripsi-tanggal">
                  <div class="detail-tanggal">
                    <svg width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
                      <path d="M4.21756 17.5369L4.6584 16.9302L4.21756 17.5369ZM3.29576 16.6151L3.90253 16.1743L3.29576 16.6151ZM16.7042 16.6151L16.0975 16.1743L16.7042 16.6151ZM15.7824 17.5369L16.2233 18.1437L15.7824 17.5369ZM15.7824 4.12844L16.2233 3.52168L15.7824 4.12844ZM16.7042 5.05024L16.0975 5.49108L16.7042 5.05024ZM4.21756 4.12844L4.6584 4.73521V4.73521L4.21756 4.12844ZM3.29576 5.05024L3.90253 5.49108L3.29576 5.05024ZM16.0149 13.384L15.8975 12.6432L16.0149 13.384ZM12.5513 16.8475L11.8105 16.7302L12.5513 16.8475ZM11.75 4.16602C11.75 4.58023 12.0858 4.91602 12.5 4.91602C12.9142 4.91602 13.25 4.58023 13.25 4.16602H11.75ZM13.25 1.66602C13.25 1.2518 12.9142 0.916016 12.5 0.916016C12.0858 0.916016 11.75 1.2518 11.75 1.66602H13.25ZM6.75 4.16602C6.75 4.58023 7.08579 4.91602 7.5 4.91602C7.91421 4.91602 8.25 4.58023 8.25 4.16602H6.75ZM8.25 1.66602C8.25 1.2518 7.91421 0.916016 7.5 0.916016C7.08579 0.916016 6.75 1.2518 6.75 1.66602H8.25ZM17.4759 13.3327L18.2255 13.3584L17.4759 13.3327ZM12.5 18.3086L12.5257 19.0581L12.5 18.3086ZM10 17.5827C8.42091 17.5827 7.29683 17.5817 6.4285 17.4876C5.57421 17.395 5.05688 17.2197 4.6584 16.9302L3.77672 18.1437C4.47352 18.6499 5.28502 18.8725 6.26693 18.9788C7.23481 19.0837 8.45432 19.0827 10 19.0827V17.5827ZM1.75 10.8327C1.75 12.3784 1.74897 13.5979 1.85383 14.5658C1.96022 15.5477 2.18275 16.3592 2.689 17.056L3.90253 16.1743C3.61301 15.7758 3.43766 15.2585 3.34511 14.4042C3.25103 13.5359 3.25 12.4118 3.25 10.8327H1.75ZM4.6584 16.9302C4.36834 16.7194 4.11326 16.4643 3.90253 16.1743L2.689 17.056C2.99226 17.4734 3.35932 17.8404 3.77672 18.1437L4.6584 16.9302ZM16.0975 16.1743C15.8867 16.4643 15.6317 16.7194 15.3416 16.9302L16.2233 18.1437C16.6407 17.8404 17.0077 17.4734 17.311 17.056L16.0975 16.1743ZM18.25 10.8327C18.25 9.287 18.251 8.06749 18.1462 7.09961C18.0398 6.1177 17.8173 5.3062 17.311 4.60941L16.0975 5.49108C16.387 5.88956 16.5623 6.40689 16.6549 7.26118C16.749 8.12951 16.75 9.25359 16.75 10.8327H18.25ZM15.3416 4.73521C15.6317 4.94595 15.8867 5.20103 16.0975 5.49108L17.311 4.60941C17.0077 4.19201 16.6407 3.82494 16.2233 3.52168L15.3416 4.73521ZM3.25 10.8327C3.25 9.25359 3.25103 8.12951 3.34511 7.26118C3.43766 6.40689 3.61301 5.88956 3.90253 5.49108L2.689 4.60941C2.18275 5.3062 1.96022 6.1177 1.85383 7.09961C1.74897 8.06749 1.75 9.287 1.75 10.8327H3.25ZM3.77672 3.52168C3.35932 3.82494 2.99226 4.19201 2.689 4.60941L3.90253 5.49108C4.11326 5.20103 4.36834 4.94595 4.6584 4.73521L3.77672 3.52168ZM15.8975 12.6432C13.7937 12.9764 12.1437 14.6264 11.8105 16.7302L13.2921 16.9649C13.5236 15.5029 14.6702 14.3563 16.1322 14.1247L15.8975 12.6432ZM8.25 4.16602V3.35679H6.75V4.16602H8.25ZM8.25 3.35679V1.66602H6.75V3.35679H8.25ZM10 2.58268C9.03005 2.58268 8.19352 2.58259 7.47432 2.60723L7.52568 4.10635C8.21372 4.08278 9.02174 4.08268 10 4.08268V2.58268ZM7.47432 2.60723C5.91157 2.66077 4.72962 2.82936 3.77672 3.52168L4.6584 4.73521C5.21318 4.33214 5.98145 4.15926 7.52568 4.10635L7.47432 2.60723ZM13.25 4.16602V3.35679H11.75V4.16602H13.25ZM13.25 3.35679V1.66602H11.75V3.35679H13.25ZM10 4.08268C10.9783 4.08268 11.7863 4.08278 12.4743 4.10635L12.5257 2.60723C11.8065 2.58259 10.97 2.58268 10 2.58268V4.08268ZM12.4743 4.10635C14.0185 4.15926 14.7868 4.33214 15.3416 4.73521L16.2233 3.52168C15.2704 2.82937 14.0884 2.66077 12.5257 2.60723L12.4743 4.10635ZM17.4759 12.5827C16.7452 12.5827 16.2908 12.5809 15.8975 12.6432L16.1322 14.1247C16.3799 14.0855 16.6903 14.0827 17.4759 14.0827L17.4759 12.5827ZM16.75 10.8327C16.75 11.8109 16.7499 12.619 16.7263 13.307L18.2255 13.3584C18.2501 12.6392 18.25 11.8026 18.25 10.8327H16.75ZM16.7263 13.307C16.6734 14.8512 16.5005 15.6195 16.0975 16.1743L17.311 17.056C18.0033 16.1031 18.1719 14.9211 18.2255 13.3584L16.7263 13.307ZM13.25 18.3086C13.25 17.523 13.2528 17.2126 13.2921 16.9649L11.8105 16.7302C11.7482 17.1235 11.75 17.5779 11.75 18.3086L13.25 18.3086ZM10 19.0827C10.97 19.0827 11.8065 19.0828 12.5257 19.0581L12.4743 17.559C11.7863 17.5826 10.9783 17.5827 10 17.5827V19.0827ZM12.5257 19.0581C14.0884 19.0046 15.2704 18.836 16.2233 18.1437L15.3416 16.9302C14.7868 17.3332 14.0185 17.5061 12.4743 17.559L12.5257 19.0581Z" fill="black"/>
                      <path d="M6.66667 7.49935C6.66667 7.95959 6.29357 8.33268 5.83333 8.33268C5.3731 8.33268 5 7.95959 5 7.49935C5 7.03911 5.3731 6.66602 5.83333 6.66602C6.29357 6.66602 6.66667 7.03911 6.66667 7.49935Z" fill="black"/>
                      <path d="M6.66667 10.8327C6.66667 11.2929 6.29357 11.666 5.83333 11.666C5.3731 11.666 5 11.2929 5 10.8327C5 10.3724 5.3731 9.99935 5.83333 9.99935C6.29357 9.99935 6.66667 10.3724 6.66667 10.8327Z" fill="black"/>
                      <path d="M10.8333 7.49935C10.8333 7.95959 10.4602 8.33268 10 8.33268C9.53976 8.33268 9.16667 7.95959 9.16667 7.49935C9.16667 7.03911 9.53976 6.66602 10 6.66602C10.4602 6.66602 10.8333 7.03911 10.8333 7.49935Z" fill="black"/>
                      <path d="M10.8333 10.8327C10.8333 11.2929 10.4602 11.666 10 11.666C9.53976 11.666 9.16667 11.2929 9.16667 10.8327C9.16667 10.3724 9.53976 9.99935 10 9.99935C10.4602 9.99935 10.8333 10.3724 10.8333 10.8327Z" fill="black"/>
                      <path d="M10.8333 14.166C10.8333 14.6263 10.4602 14.9993 10 14.9993C9.53976 14.9993 9.16667 14.6263 9.16667 14.166C9.16667 13.7058 9.53976 13.3327 10 13.3327C10.4602 13.3327 10.8333 13.7058 10.8333 14.166Z" fill="black"/>
                      <path d="M15 7.49935C15 7.95959 14.6269 8.33268 14.1667 8.33268C13.7064 8.33268 13.3333 7.95959 13.3333 7.49935C13.3333 7.03911 13.7064 6.66602 14.1667 6.66602C14.6269 6.66602 15 7.03911 15 7.49935Z" fill="black"/>
                      <path d="M15 10.8327C15 11.2929 14.6269 11.666 14.1667 11.666C13.7064 11.666 13.3333 11.2929 13.3333 10.8327C13.3333 10.3724 13.7064 9.99935 14.1667 9.99935C14.6269 9.99935 15 10.3724 15 10.8327Z" fill="black"/>
                      <path d="M6.66667 14.166C6.66667 14.6263 6.29357 14.9993 5.83333 14.9993C5.3731 14.9993 5 14.6263 5 14.166C5 13.7058 5.3731 13.3327 5.83333 13.3327C6.29357 13.3327 6.66667 13.7058 6.66667 14.166Z" fill="black"/>
                    </svg>
                    <p th:text="${#temporals.format(seminar.dateTime, 'dd MMMM yyyy')} + ' | '">17-18 March 2023</p>
                  </div>
                  <div class="detail-waktu">
                    <svg width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
                      <g clip-path="url(#clip0_792_32443)">
                        <path d="M10.7498 6.66602C10.7498 6.2518 10.4141 5.91602 9.99984 5.91602C9.58562 5.91602 9.24984 6.2518 9.24984 6.66602L10.7498 6.66602ZM7.49984 10.0827C7.08562 10.0827 6.74984 10.4185 6.74984 10.8327C6.74984 11.2469 7.08562 11.5827 7.49984 11.5827V10.0827ZM2.03132 2.12203C1.70787 2.38079 1.65543 2.85276 1.91419 3.1762C2.17294 3.49965 2.64491 3.55209 2.96836 3.29333L2.03132 2.12203ZM5.05169 1.62667C5.37514 1.36791 5.42758 0.895941 5.16882 0.572494C4.91007 0.249048 4.4381 0.196607 4.11465 0.455364L5.05169 1.62667ZM17.0313 3.29333C17.3548 3.55209 17.8267 3.49965 18.0855 3.1762C18.3442 2.85276 18.2918 2.38079 17.9684 2.12203L17.0313 3.29333ZM15.885 0.455364C15.5616 0.196607 15.0896 0.249048 14.8309 0.572494C14.5721 0.895941 14.6245 1.36791 14.948 1.62667L15.885 0.455364ZM9.99984 9.58268H9.24984H9.99984ZM9.24984 6.66602L9.24984 9.58268L10.7498 9.58268V6.66602L9.24984 6.66602ZM17.5832 9.99935C17.5832 14.1875 14.188 17.5827 9.99984 17.5827V19.0827C15.0164 19.0827 19.0832 15.0159 19.0832 9.99935H17.5832ZM9.99984 17.5827C5.81168 17.5827 2.4165 14.1875 2.4165 9.99935H0.916504C0.916504 15.0159 4.98325 19.0827 9.99984 19.0827V17.5827ZM2.4165 9.99935C2.4165 5.81119 5.81168 2.41602 9.99984 2.41602V0.916016C4.98325 0.916016 0.916504 4.98276 0.916504 9.99935H2.4165ZM9.99984 2.41602C14.188 2.41602 17.5832 5.81119 17.5832 9.99935H19.0832C19.0832 4.98276 15.0164 0.916016 9.99984 0.916016V2.41602ZM2.96836 3.29333L5.05169 1.62667L4.11465 0.455364L2.03132 2.12203L2.96836 3.29333ZM17.9684 2.12203L15.885 0.455364L14.948 1.62667L17.0313 3.29333L17.9684 2.12203ZM7.49984 11.5827H8.74984V10.0827H7.49984V11.5827ZM9.24984 9.58268C9.24984 9.85882 9.02598 10.0827 8.74984 10.0827V11.5827C9.85441 11.5827 10.7498 10.6873 10.7498 9.58268L9.24984 9.58268Z" fill="black"/>
                      </g>
                      <defs>
                        <clipPath id="clip0_792_32443">
                          <rect width="20" height="20" fill="white"/>
                        </clipPath>
                      </defs>
                    </svg>
                    <p th:text="${#temporals.format(seminar.dateTime, 'HH:mm')} + ' - End'">09:00 - End</p>
                  </div>
                </div>
              </div>
              <br>
              <div class="detail-transaksi">
                <h5 th:text="${transaksi.paymentType}">BCA BILL PAYMENT</h5>
                <div class="harga-tiket">
                  <p>Total Harga Tiket</p>
                  <p class="format-harga" th:text="${seminar.harga}">Rp20.000</p>
                </div>
                <div class="biaya-layanan">
                  <p>Biaya Layanan</p>
                  <p>Rp0</p>
                </div>
              </div>
              <div class="detail-divider"></div>
              <div class="total-harga">
                <p>Total Terbayar</p>
                <p class="format-harga" th:text="${seminar.harga}">Rp20.000</p>
              </div>
            </div>
          </div>
        </div>
      </div>

    </main>
  </div>
</section>

<script>
    document.getElementById('button-lihat-invoice').addEventListener('click', function() {
        document.querySelector('.bg-modal').style.display = 'flex';
        // document.body.style.overflow = "hidden";
    });
</script>
<script>
    document.querySelector('.close').addEventListener('click', function() {
        document.querySelector('.bg-modal').style.display = 'none';
        // document.body.style.overflow = "auto";
    });
</script>
<script>
  let sidebar = document.querySelector(".sidebar");
  let closeBtn = document.querySelector("#btn");

  closeBtn.addEventListener("click", ()=>{
    sidebar.classList.toggle("open");
    console.log("Button clicked!"); //tambahkan console log
    console.log(sidebar.classList);
    menuBtnChange();//calling the function(optional)
  });

  // following are the code to change sidebar button(optional)
  function menuBtnChange() {
    if(sidebar.classList.contains("open")){
      closeBtn.classList.replace("bx-menu", "bx-menu-alt-right");//replacing the icons class
    }else {
      closeBtn.classList.replace("bx-menu-alt-right","bx-menu");//replacing the icons class
    }
  }
  function formatHarga(element) {
      element.innerText = Number(element.innerText).toLocaleString("id-ID", { style: 'currency', currency: 'IDR', currencyDisplay: 'symbol' }).replace(/\s/g, '');;
  }
  let hargaElements = document.getElementsByClassName("format-harga")
  for (var i = 0; i < hargaElements.length; i++) {
      formatHarga(hargaElements[i]);
  }
</script>
</body>

</html>